package com.fr.plugin;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

@Visualization(category = "顶部菜单插件_EK配置")
public class TOPPConfig extends DefaultConfiguration {

    private static volatile TOPPConfig config = null;

    public static TOPPConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(TOPPConfig.class);
        }
        return config;
    }
    @Identifier(value = "topNav", name = "顶部菜单目录名", description = "描述", status = Status.SHOW)
    private Conf<String> topNav = Holders.simple("头部专用目录");
    public  String  getTopNav() {
        return topNav.get();
    }
    public void setTopNav(String  topNav) {
        this.topNav.set(topNav);
    }
    @Override
    public Object clone() throws CloneNotSupportedException {
        TOPPConfig cloned = (TOPPConfig) super.clone();
        cloned.topNav = (Conf<String>) this.topNav.clone();
        return cloned;
    }

}